<template>
	<view class="container">
		<navBar title="地图" :back="true" color="white" background="green" />
		<button @click="testQQMap">测试SDK</button>
	</view>
</template>

<script>
	// import navBar from '@/components/navBar/index.vue'

	var QQMapWX = require('@/common/qqmap-wx-jssdk.min.js');
	var qqmapsdk;
	export default {
		// components: {
		// 	navBar
		// },
		data() {
			return {

			}
		},
		onLoad() {
			// 实例化API核心类
			qqmapsdk = new QQMapWX({
				key: 'W4IBZ-EVOCV-GJVPF-5QVLU-5ZJTJ-CNFUD'
			});
		},
		onShow() {


		},
		methods: {
			testQQMap() {
				// 调用接口
				// qqmapsdk.search({
				// 	keyword: '酒店',
				// 	success: function(res) {
				// 		console.log(res);
				// 	},
				// 	fail: function(res) {
				// 		console.log(res);
				// 	},
				// 	complete: function(res) {
				// 		console.log(res);
				// 	}
				// });
				uni.chooseLocation({
					success: function(res) {
						console.log('位置名称：' + res.name);
						console.log('详细地址：' + res.address);
						console.log('纬度：' + res.latitude);
						console.log('经度：' + res.longitude);
						uni.openLocation({
							name: res.name,
							address: res.address,
							latitude: res.latitude,
							longitude: res.longitude,
							success: function() {
								console.log('success');
							}
						});
					}
				});

				// uni.getLocation({
				// 	// type: 'wgs84', //返回可以用于uni.openLocation的经纬度
				// 	type: 'gcj02', //返回可以用于uni.openLocation的经纬度
				// 	success: function(res) {
				// 		const latitude = res.latitude;
				// 		const longitude = res.longitude;
				// 		console.log('uni.getLocation获取到的位置信息', res);
				// 		uni.openLocation({
				// 			name: res.name,
				// 			address: res.address,
				// 			latitude: latitude,
				// 			longitude: longitude,
				// 			success: function() {
				// 				console.log('success');
				// 			}
				// 		});
				// 	}
				// });

			}
		}
	}
</script>

<style lang="scss" scoped>
	@import "./index.scss";
</style>